Skip to content

Business

A Business refers to any single accounting firm/financial planner/administrator. Business data sits at a higher level than fund level data in the hierarchy as it can contain multiple funds.

Fund list

Request

The list of all the funds within the business with summarised details.

Security
Class_oAuth(Required scopes: business.fund.list)
Path
businessCodestringrequired

Class business code

Example:demo-business
Query
FundTagsstring

Filter the funds returned based on tags attached to the fund

Example:FundTags=FY2025
brandCodestring

The Brand Code that the fund is grouped under.

Example:brandCode=demo-brand
relevanceSearchboolean

Relevance Search

Example:relevanceSearch=true
Searchstring

Search terms to filter

Example:Search=demo-fund
legalEntityTypestring

Legal Entity Type

Enum:"SMSF""SAF""Personal""Trust""Company""Partnership""Consolidated"
Examples:
SMSF
legalEntityType=SMSF
SAF
legalEntityType=SAF
Personal
legalEntityType=Personal
Trust
legalEntityType=Trust
Company
legalEntityType=Company
Partnership
legalEntityType=Partnership
Consolidated
legalEntityType=Consolidated
statusCodestring

Status Code

Enum:"Active""Cancelled""Pending""Suspended"
Examples:
Active
statusCode=Active
Cancelled
statusCode=Cancelled
Pending
statusCode=Pending
Suspended
statusCode=Suspended
ABNstring

Australian Business Number

Example:ABN=53004085616
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/b/demo-business/fund-data/fund-list?FundTags=FY2025&brandCode=demo-brand&relevanceSearch=true&Search=demo-fund&legalEntityType=SMSF&statusCode=Active&ABN=53004085616' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
ErrorsArray of objects
DataArray of objects
Response
{ "Data": [ { "FundSummaries": [ { "Link": { "Id": "58edab15-b993-43de-b653-84b7a86d5746", "Url": "http://api.class.com.au/api/1.0/f/demo-business/DEMO_SMSF_2025/fund-data/fund-detail" }, "Status": "Active", "Code": "DEMO_SMSF_2025", "Name": "Demo Superannuation Fund 2025", "Tags": "FY2025", "UnmatchedEvidenceSupplyCount": 0, "UnmatchedEvidenceRequestCount": 1, "RecordedEvidenceRequestCount": 0, "RequiresProcessingCorporateActionCount": 0, "SummaryIsValid": true, "LastPeriodUpdateEndDate": "2024-07-01", "ProcessedToDate": "2022-07-01", "LegalEntityType": "SMSF", "BrandName": "demo-brand", "ABN": "53004085616" } ], "TotalCount": 1 } ], "Errors": [ { "Code": "string", "Message": "string" } ] }